Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_LF_Event_Loop_Thread_Helper Class Reference

Helper class to enter and exit the Leader/Followers event loop. More...

`#include <LF_Event_Loop_Thread_Helper.h>`

Collaboration diagram for TAO_LF_Event_Loop_Thread_Helper:

[legend]
List of all members.

## Public Methods
| TAO_LF_Event_Loop_Thread_Helper (TAO_Leader_Follower &leader_follower, TAO_LF_Strategy &lf_strategy, ACE_Time_Value *max_wait_time)
| Constructor.
| ~TAO_LF_Event_Loop_Thread_Helper (void)
| Destructor.
int | event_loop_return (void) const
| Calls <set_event_loop_thread> on the leader/followers object.
## Private Attributes
TAO_Leader_Follower& | leader_follower_
| Reference to leader/followers object.
TAO_LF_Strategy& | lf_strategy_
| The Leader/Follower Strategy used by this ORB.
int | event_loop_return_
| Remembers the status returned while trying to enter the event loop.

## Detailed Description

Helper class to enter and exit the Leader/Followers event loop.

Uses the Guard idiom to enter and exit the Leader/Followers event loop.

## Constructor & Destructor Documentation

ACE_INLINE TAO_LF_Event_Loop_Thread_Helper::TAO_LF_Event_Loop_Thread_Helper ( | TAO_Leader_Follower & leader_follower,
| TAO_LF_Strategy & lf_strategy,
| ACE_Time_Value * max_wait_time )

| Constructor.

ACE_INLINE TAO_LF_Event_Loop_Thread_Helper::~TAO_LF_Event_Loop_Thread_Helper ( | void )

| Destructor.

## Member Function Documentation

ACE_INLINE int TAO_LF_Event_Loop_Thread_Helper::event_loop_return ( | void ) const

| Calls <set_event_loop_thread> on the leader/followers object.

## Member Data Documentation

int TAO_LF_Event_Loop_Thread_Helper::event_loop_return_`[private]`

| Remembers the status returned while trying to enter the event loop.

TAO_Leader_Follower & TAO_LF_Event_Loop_Thread_Helper::leader_follower_`[private]`

| Reference to leader/followers object.

TAO_LF_Strategy & TAO_LF_Event_Loop_Thread_Helper::lf_strategy_`[private]`

| The Leader/Follower Strategy used by this ORB.

The documentation for this class was generated from the following files:

- LF_Event_Loop_Thread_Helper.h
- LF_Event_Loop_Thread_Helper.inl